# DocBook to ScrollKeeper OMF

## Parameters

`db2omf.basename`

  The basename of the referenced document

`db2omf.format`

  The format of the referenced document

`db2omf.mime`

  The MIME type of the referenced document

`db2omf.dtd`

  The FPI of the DocBook version used

`db2omf.lang`

  The written language of the referenced document

`db2omf.omf_dir`

  The top-level ScrollKeeper OMF directory

`db2omf.help_dir`

  The top-level directory where documentation is installed

`db2omf.omf_in`

  Path to the OMF input file containing common fields

`db2omf.scrollkeeper_cl`

  The path to the installed scrollkeeper_cl.xml file

## Templates

`db2omf.omf`

  Generates the top-level `omf` and all its children

`db2omf.omf.creator`

  Generates all the `creator` elements for an OMF file

`db2omf.omf.maintainer`

  Generates all the `maintainer` elements for an OMF file

`db2omf.omf.contributor`

  Generates all the `contributor` elements for an OMF file

`db2omf.omf.title`

  Generates the `title` element for an OMF file

`db2omf.omf.date`

  Generates the `date` element for an OMF file

`db2omf.omf.version`

  Generates the `version` element for an OMF file

`db2omf.omf.subject`

  Generates the `subject` element for an OMF file

`db2omf.omf.description`

  Generates the `description` element for an OMF file

`db2omf.omf.type`

  Generates the `type` element for an OMF file

`db2omf.omf.format`

  Generates the `format` element for an OMF file

`db2omf.omf.identifier`

  Generates the `identifier` element for an OMF file

`db2omf.omf.language`

  Generates the `language` element for an OMF file

`db2omf.omf.relation`

  Generates the `relation` element for an OMF file

`db2omf.omf.rights`

  Generates the `rights` element for an OMF file

## `db2omf.basename`

The basename of the referenced document

### Description

## `db2omf.format`

The format of the referenced document

### Description

## `db2omf.mime`

The MIME type of the referenced document

### Description

## `db2omf.dtd`

The FPI of the DocBook version used

### Description

## `db2omf.lang`

The written language of the referenced document

### Description

## `db2omf.omf_dir`

The top-level ScrollKeeper OMF directory

### Description

## `db2omf.help_dir`

The top-level directory where documentation is installed

### Description

## `db2omf.omf_in`

Path to the OMF input file containing common fields

### Description

## `db2omf.scrollkeeper_cl`

The path to the installed scrollkeeper_cl.xml file

### Description

## `db2omf.omf`

Generates the top-level `omf` and all its children

### Parameters

`info`

  The info element containing metadata

### Description

## `db2omf.omf.creator`

Generates all the `creator` elements for an OMF file

### Parameters

`info`

  The info element containing metadata

### Description

## `db2omf.omf.maintainer`

Generates all the `maintainer` elements for an OMF file

### Parameters

`info`

  The info element containing metadata

### Description

## `db2omf.omf.contributor`

Generates all the `contributor` elements for an OMF file

### Parameters

`info`

  The info element containing metadata

### Description

## `db2omf.omf.title`

Generates the `title` element for an OMF file

### Parameters

`info`

  The info element containing metadata

### Description

## `db2omf.omf.date`

Generates the `date` element for an OMF file

### Parameters

`info`

  The info element containing metadata

### Description

## `db2omf.omf.version`

Generates the `version` element for an OMF file

### Parameters

`info`

  The info element containing metadata

### Description

## `db2omf.omf.subject`

Generates the `subject` element for an OMF file

### Parameters

`info`

  The info element containing metadata

### Description

## `db2omf.omf.description`

Generates the `description` element for an OMF file

### Parameters

`info`

  The info element containing metadata

### Description

## `db2omf.omf.type`

Generates the `type` element for an OMF file

### Parameters

`info`

  The info element containing metadata

### Description

## `db2omf.omf.format`

Generates the `format` element for an OMF file

### Parameters

`info`

  The info element containing metadata

### Description

## `db2omf.omf.identifier`

Generates the `identifier` element for an OMF file

### Parameters

`info`

  The info element containing metadata

### Description

## `db2omf.omf.language`

Generates the `language` element for an OMF file

### Parameters

`info`

  The info element containing metadata

### Description

## `db2omf.omf.relation`

Generates the `relation` element for an OMF file

### Parameters

`info`

  The info element containing metadata

### Description

## `db2omf.omf.rights`

Generates the `rights` element for an OMF file

### Parameters

`info`

  The info element containing metadata

### Description